Generate an auth token for a given user identifier
curl --request POST \
--url https://a.api.mindset.ai/api/v1/appuid/{appUid}/sdkusers/auth \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"userEmail": "<string>",
"sdkUserEmail": "<string>",
"externalId": "<string>",
"accountUids": [
"<string>"
],
"externalTenantId": "<string>"
}
'import requests
url = "https://a.api.mindset.ai/api/v1/appuid/{appUid}/sdkusers/auth"
payload = {
"name": "<string>",
"userEmail": "<string>",
"sdkUserEmail": "<string>",
"externalId": "<string>",
"accountUids": ["<string>"],
"externalTenantId": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
userEmail: '<string>',
sdkUserEmail: '<string>',
externalId: '<string>',
accountUids: ['<string>'],
externalTenantId: '<string>'
})
};
fetch('https://a.api.mindset.ai/api/v1/appuid/{appUid}/sdkusers/auth', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"authToken": "<string>"
}This response has no body data.This response has no body data.This response has no body data.This response has no body data.This response has no body data.This response has no body data.SDK Users
Generate an auth token for a given user identifier
POST
/
api
/
v1
/
appuid
/
{appUid}
/
sdkusers
/
auth
Generate an auth token for a given user identifier
Authorizations
Path Parameters
Your application's uid
Minimum string length:
1Body
application/json
Friendly name to be set for the user
Maximum string length:
100email address format user identifier. Deprecated. Prefer using externalId.
Maximum string length:
100SDK user email address. Alias for userEmail.
Maximum string length:
100Unique user identifier. Valid characters are A-Za-z0-9_-.
Maximum string length:
100Array of account uids (max 10). The user will be added to these accounts to allow access to restricted agents.
Maximum array length:
10Required string length:
20 - 128Unique tenant identifier. Valid characters are A-Za-z0-9_-.
Maximum string length:
100Response
User found or created. Auth token generated
authToken to be passed to the SDK to allow this user access
Update a label by externalIdCreate a conversation thread by resolving a user and invoking an AI agent
⌘I